Bug 843182 - Git depends on subversion
Git depends on subversion
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
17
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 15:43 EDT by Václav Mocek
Modified: 2013-01-10 06:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 01:05:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Václav Mocek 2012-07-25 15:43:43 EDT
Description of problem:
The latest update of git has brought dependency on the subversion package.

Version-Release number of selected component (if applicable):
1.7.11.2

How reproducible:
Always.

Steps to Reproduce:
1. Install git on a system without subversion having installed.
2.
3.
  
Actual results:
Subversion is installed along with git.

Expected results:
No subversion is installed.

Additional info:
The used spec file doesn't reflect the changes in the latest source code and some files, which should be in the git-svn package are actually in the perl-Git package. 

$ rpm -ql perl-Git
/usr/share/man/man3/Git.3pm.gz
/usr/share/man/man3/Git::I18N.3pm.gz
/usr/share/man/man3/Git::SVN::Editor.3pm.gz
/usr/share/man/man3/Git::SVN::Fetcher.3pm.gz
/usr/share/man/man3/Git::SVN::Memoize::YAML.3pm.gz
/usr/share/man/man3/Git::SVN::Prompt.3pm.gz
/usr/share/man/man3/Git::SVN::Ra.3pm.gz
/usr/share/perl5/vendor_perl/Git.pm
/usr/share/perl5/vendor_perl/Git/I18N.pm
/usr/share/perl5/vendor_perl/Git/SVN/Editor.pm
/usr/share/perl5/vendor_perl/Git/SVN/Fetcher.pm
/usr/share/perl5/vendor_perl/Git/SVN/Memoize/YAML.pm
/usr/share/perl5/vendor_perl/Git/SVN/Prompt.pm
/usr/share/perl5/vendor_perl/Git/SVN/Ra.pm
Comment 1 Todd Zullinger 2012-07-25 17:12:01 EDT
I think what we need to do is split out a perl-Git-SVN package.  I kicked off a scratch build to test some changes in that direction.  I imagine I'll find some typos or bugs in my quick changes, but I'll try to get them worked out.

Yell if this seems like the wrong way to go with this.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4329825
Comment 2 Todd Zullinger 2012-07-25 17:53:47 EDT
It helps to remove the exit calls left in for debugging before trying a scratch build. :)

Other than that, I think this works well.  Here's a scratch build for f17:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4329853

I committed the changes and have builds for f17 and rawhide in progress.
Comment 3 Fedora Update System 2012-07-25 18:11:08 EDT
git-1.7.11.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/git-1.7.11.2-2.fc17
Comment 4 Fedora Update System 2012-07-26 18:34:18 EDT
Package git-1.7.11.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-1.7.11.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11159/git-1.7.11.2-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-30 01:05:07 EDT
git-1.7.11.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.